using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace BongahCS
{
    public partial class frmForooshandegan : Form
    {
        public frmForooshandegan()
        {
            InitializeComponent();
        }

        private void dbIns()
        {
            if (textBox2.Text == "" || textBox5.Text == "")
            {
                MessageBox.Show("فیلد نام خانوادگی یا کد ملی نمی توانند خالی باشند");
            }
            else
            {
                txtNullAdd();
                FirstClass db = new FirstClass();
                db.cmd.Parameters.Add("@Name", SqlDbType.NVarChar).Value = textBox1.Text.Trim();
                db.cmd.Parameters.Add("@Sname", SqlDbType.NVarChar).Value = textBox2.Text.Trim();
                db.cmd.Parameters.Add("@BirthDate", SqlDbType.NVarChar).Value = textBox3.Text.Trim();
                db.cmd.Parameters.Add("@Phone", SqlDbType.NVarChar).Value = textBox4.Text.Trim();
                db.cmd.Parameters.Add("@MelliCode", SqlDbType.NVarChar).Value = textBox5.Text.Trim();
                db.cmd.Parameters.Add("@Address", SqlDbType.NVarChar).Value = textBox6.Text.Trim();

                db.exeCommand("sp_tblForuShandegan_Insert");
                grdFill();
                txtClear();
                MessageBox.Show("رکورد جدید درج شد.");
            }
        }

        private void grdFill()
        {

            try
            {
                FirstClass db = new FirstClass();
                DataTable dt = new DataTable();

                dt = db.dbOut("SELECT     TOP 100 PERCENT ForuShandehID AS [کد فروشنده], Name + N' ' + Sname AS [نام و نام خانوادگی], BirthDate AS [تاریخ تولد], Phone AS تلفن,    MelliCode AS [کد ملی], Address AS آدرس FROM   tblForuShandegan ORDER BY ForuShandehID");
                dataGridView1.DataSource = dt;
            }
            catch
            {
                MessageBox.Show("رکوردی جهت نمایش وجود ندارد");
            }
        }

        private void dbDel()
        {
            if (textBox7.Text == "")
            {
                MessageBox.Show("کد خریدار در فیلد زرد رنگ وارد نشده");
            }
            else
            {
                FirstClass db = new FirstClass();
                db.cmd.Parameters.Add("@ForuShandehID", SqlDbType.NVarChar).Value = textBox7.Text;
                db.exeCommand("sp_tblForuShandegan_DeleteRow");
                textBox7.Text = "";
                grdFill();
                MessageBox.Show("رکورد مورد نظر حذف شد");
            }
        }

        private void txtClear()
        {
            textBox1.Text = "";
            textBox2.Text = "";
            textBox3.Text = "";
            textBox4.Text = "";
            textBox5.Text = "";
            textBox6.Text = "";
        }

        private void txtNullAdd()
        {
            if (textBox1.Text == "")
            {
                textBox1.Text = "Null";
            }
            if (textBox3.Text == "")
            {
                textBox3.Text = "Null";
            }
            if (textBox4.Text == "")
            {
                textBox4.Text = "Null";
            }
            if (textBox6.Text == "")
            {
                textBox6.Text = "Null";
            }
        }

        private void frmMoshtarian_Load(object sender, EventArgs e)
        {
            grdFill();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            dbIns();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            dbDel();
        }
    }
}